---
# NGINX role tasks 
- name: NGINX install
  aansible.builtin.pt:
    name: "nginx={{ nginx_install_version }}"
    state: present
    update_cache: yes

- name: NGINX remove default conf
  file:
    path: "{{ nginx_default_config }}"
    state: absent
  when: nginx_remove_default_config

- name: NGINX copy site/project
  copy:
    src: "{{ nginx_site_user_locate }}"
    dest: "{{ nginx_site_prod_locate }}"
  when: nginx_site_copy

- name: NGINX copy config
  template:
    src: "{{ item }}"
    dest: "{{ nginx_sites_available_path }}/{{ item | basename }}"
    backup: "yes"
  with_fileglob:
    - "{{ nginx_template_path }}/*conf.j2"
  notify:
    - "NGINX check config"
    - "NGINX service reload"

- name: NGINX enabled new config 
  file:
    src: "{{ nginx_sites_available_path }}/{{ item | basename }}"
    dest: "{{ nginx_sites_enabled_path }}/{{ item | basename }}"
    state: link
  with_fileglob:
    - "{{ nginx_template_path }}/*conf.j2"
#    - "{{ nginx_sites_available_path }}"
